%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   HTML-Tree
%define modv   3.23
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module for building HTML parse trees
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/P/PE/PETEK/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Pete Krawczyk <petek@bsod.net>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.4
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser) >= 3.46
BuildRequires: perl(HTML::Tagset) >= 3.02
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.14
BuildArch:     noarch


%description
HTML-Tree is a suite of Perl modules for making parse trees out of HTML
source.


%prep
%setup -q -n %{modn}-%{modv}

# Filter provides
%{__cat} << \_EOF_ >%{name}-prov
#!/bin/sh
%{__perl_provides} $* | \
	%{__sed} -e '/perl(main)/d'
_EOF_

%define __perl_provides %{_builddir}/%{modn}-%{modv}/%{name}-prov
%{__chmod} +x %{name}-prov


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README TODO
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Fri Jun 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 3.23-1
- Initial build
